#include<bits/stdc++.h>
using namespace std;
typedef long long ll;
const int maxn = 1000005;
ll a[maxn];
map<ll,ll> mp;
vector<ll> v;
int main()
{
	ios::sync_with_stdio(0);cout.tie(0);cin.tie(0);
	ll n, k, brojac=0;
	cin >> n >> k;
	for(int i=0;i<n;i++){
		cin >> a[i];
		mp[a[i]]++;	
	}
	for(int i=0;i<n;i++){
		if(mp[a[i]]>=k){
			v.push_back(a[i]);
			mp[a[i]]=0;
		}
	}
	cout << v.size() << endl;
	for(int i=0;i<v.size();i++)cout << v[i] << " ";
	cout << endl;
	return 0;
}